Last Comment Bug 738804 - back out keyword.URL prompting changes
: back out keyword.URL prompting changes
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: Firefox 14
Assigned To: :Gavin Sharp [email: gavin@gavinsharp.com]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 14:25 PDT by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2013-12-27 14:35 PST (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
backout (17.25 KB, patch)
2012-03-23 14:39 PDT, :Gavin Sharp [email: gavin@gavinsharp.com]
fryn: review+
Details | Diff | Splinter Review
aurora backout (12.04 KB, patch)
2012-04-03 11:10 PDT, :Gavin Sharp [email: gavin@gavinsharp.com]
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2012-03-23 14:25:10 PDT
Bug 718088 implemented a prompt for users whose keyword.URL pref was user-set. In discussing the approach taken in that bug, Asa/Sheila/Kev and I decided that we should focus first on consolidating our search prefs and making search engine selection more intuitive, before we start actively prompting users.

We're going to investigate other ways to help users whose searches were hijacked, and so it makes sense to get our search configuration story into a better state before we use up precious user-prompting opportunities.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-03-23 14:39:45 PDT
Created attachment 608874 [details] [diff] [review]
backout

This is a straight backout of the patches for bug 718088 and bug 736878, merged with the patch for bug 697006.
Comment 2 Frank Yan (:fryn) 2012-03-23 15:59:07 PDT
Comment on attachment 608874 [details] [diff] [review]
backout

Review of attachment 608874 [details] [diff] [review]:
-----------------------------------------------------------------

r+, with the fixed indentation. :)

Please cc me on future bugs that come out of this further investigation of search prefs.

::: browser/components/nsBrowserGlue.js
@@ -289,3 @@
>          }
> -        break;
> -    }

I think you might have removed the wrong closing brace, but syntactically it happened to work, or at least that's what Mercurial is telling me. :P Either way, please fix the indentation.
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-03-26 08:17:40 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/5bdd055f22b5
Comment 4 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-03-27 05:08:32 PDT
https://hg.mozilla.org/mozilla-central/rev/5bdd055f22b5
Comment 5 Alex Keybl [:akeybl] 2012-04-02 16:29:24 PDT
Please prepare a backout for Aurora 13 as well. Thanks!
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-04-03 11:10:39 PDT
Created attachment 611892 [details] [diff] [review]
aurora backout

[Approval Request Comment]
Bug 736878 didn't land on Aurora, so this is a clean backout of the original patch for bug 718088 (again, merged with bug 697006, and the brace merging issue fixed!).
Comment 7 Alex Keybl [:akeybl] 2012-04-03 11:12:55 PDT
Comment on attachment 611892 [details] [diff] [review]
aurora backout

[Triage Comment]
Approved for Aurora 13.
Comment 8 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-04-03 11:14:16 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/2fe257c037f1
Comment 9 Axel Hecht [:Pike] 2012-04-05 06:39:32 PDT
This changed strings, but only removed them, so this is fine. Worth calling that out, though.
Comment 10 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-05-29 10:45:40 PDT
Not sure if this is anything QA needs to verify so marking [qa-]. Please add [qa+] if there is something we can do here.

Note You need to log in before you can comment on or make changes to this bug.